Skip to main content
`Ctrl`+`K`

# MatPythonGetType

Get the Python name of a `Mat` object implemented in Python.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPythonGetType(Mat mat, const char *pyname[])

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

Matrices, `Mat`, `MatType`, `MatCreate()`, `MatSetType()`, `MATPYTHON`, `PetscPythonInitialize()`, `MatPythonSetType()`

## Level

intermediate

## Location

src/mat/impls/python/pythonmat.c

## Examples

src/ksp/ksp/tutorials/ex100f.F90

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages